<?php

class Configuracoes_email_DAO
{
	private $_host;
	private $_usuario;
	private $_senha;
	private $_secure;
	private $_porta;
	private $_remetente;
	private $_nomeRemetente;
	function __construct()
	{	
		$_config = new Config();
		// Guarda as macros de inicio jornada.
		$lines = file ($_config->diretorio_raiz().'/config/email_config.txt');
		foreach ($lines as $line) {
			//array_push($this->inicioJornada,str_replace("\r","",str_replace("\n","",$line)));
			$coluna = explode("->",$line);
			switch($coluna[0])
			{
				case "host":
					$this->_host = str_replace("\r","",str_replace("\n","",$coluna[1]));
				break;
				case "usuario":
					$this->_usuario = str_replace("\r","",str_replace("\n","",$coluna[1]));
				break;
				case "senha":
					$this->_senha = str_replace("\r","",str_replace("\n","",$coluna[1]));
				break;
				case "secure":
					$this->_secure = str_replace("\r","",str_replace("\n","",$coluna[1])); 
				break;
				case "porta":
					$this->_porta = str_replace("\r","",str_replace("\n","",$coluna[1])); 
				break;
				case "remetente":
					$this->_remetente = str_replace("\r","",str_replace("\n","",$coluna[1])); 
				break;
				case "nomeRemetente":
					$this->_nomeRemetente = str_replace("\r","",str_replace("\n","",$coluna[1])); 
				break;
			}
		}
		
		
	}
	public function getHost()
	{
		return  $this->_host;
	}	
	public function getUsuario()
	{
		return $this->_usuario;
	}
	public function getSenha()
	{
		return $this->_senha;
	}
	public function getSecure()
	{
		return $this->_secure;
	}
	public function getPorta()
	{
		return $this->_porta;
	}
	public function getRemetente()
	{
		return $this->_remetente;
	}
	public function getNomeRemetente()
	{
		return $this->_nomeRemetente;
	}
		
}	
